Page Summary
-
Creates a new Line resource within a specified network using an HTTP POST request.
-
The request must include the parent network and a unique line identifier.
-
The request and response bodies utilize the
Lineobject to define line properties. -
The URL structure follows gRPC Transcoding syntax for consistency.
Creates a Line.
HTTP request
POST https://middlemileoptimization.googleapis.com/v1/{parent=networks/*}/line
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where this line will be created. Format: "networks/{network}" |
Query parameters
| Parameters | |
|---|---|
lineId |
Required. Identifier of the line to create. |
Request body
The request body contains an instance of Line.
Response body
If successful, the response body contains a newly created instance of Line.